package cn.superdesk.uniorder.dao.entity.kafka;

import java.util.ArrayList;
import java.util.List;

public class KafkaConsumerRecordOffsetExample {
    /**
     *
     * table ims_kafka_consumer_record_offset
     *
     * Wed May 13 22:01:24 CST 2020
     */
    protected String orderByClause;

    /**
     *
     * table ims_kafka_consumer_record_offset
     *
     * Wed May 13 22:01:24 CST 2020
     */
    protected boolean distinct;

    /**
     *
     * table ims_kafka_consumer_record_offset
     *
     * Wed May 13 22:01:24 CST 2020
     */
    protected List<Criteria> oredCriteria;

    /**
     *
     * table ims_kafka_consumer_record_offset
     *
     * Wed May 13 22:01:24 CST 2020
     */
    public KafkaConsumerRecordOffsetExample() {
        oredCriteria = new ArrayList<>();
    }

    /**
     *
     * table ims_kafka_consumer_record_offset
     *
     * Wed May 13 22:01:24 CST 2020
     */
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    /**
     *
     * table ims_kafka_consumer_record_offset
     *
     * Wed May 13 22:01:24 CST 2020
     */
    public String getOrderByClause() {
        return orderByClause;
    }

    /**
     *
     * table ims_kafka_consumer_record_offset
     *
     * Wed May 13 22:01:24 CST 2020
     */
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    /**
     *
     * table ims_kafka_consumer_record_offset
     *
     * Wed May 13 22:01:24 CST 2020
     */
    public boolean isDistinct() {
        return distinct;
    }

    /**
     *
     * table ims_kafka_consumer_record_offset
     *
     * Wed May 13 22:01:24 CST 2020
     */
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    /**
     *
     * table ims_kafka_consumer_record_offset
     *
     * Wed May 13 22:01:24 CST 2020
     */
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    /**
     *
     * table ims_kafka_consumer_record_offset
     *
     * Wed May 13 22:01:24 CST 2020
     */
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    /**
     *
     * table ims_kafka_consumer_record_offset
     *
     * Wed May 13 22:01:24 CST 2020
     */
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    /**
     *
     * table ims_kafka_consumer_record_offset
     *
     * Wed May 13 22:01:24 CST 2020
     */
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    /**
     *
     * table ims_kafka_consumer_record_offset
     *
     * Wed May 13 22:01:24 CST 2020
     */
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     *
     * table ims_kafka_consumer_record_offset
     *
     * Wed May 13 22:01:24 CST 2020
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andTopicIsNull() {
            addCriterion("topic is null");
            return (Criteria) this;
        }

        public Criteria andTopicIsNotNull() {
            addCriterion("topic is not null");
            return (Criteria) this;
        }

        public Criteria andTopicEqualTo(String value) {
            addCriterion("topic =", value, "topic");
            return (Criteria) this;
        }

        public Criteria andTopicNotEqualTo(String value) {
            addCriterion("topic <>", value, "topic");
            return (Criteria) this;
        }

        public Criteria andTopicGreaterThan(String value) {
            addCriterion("topic >", value, "topic");
            return (Criteria) this;
        }

        public Criteria andTopicGreaterThanOrEqualTo(String value) {
            addCriterion("topic >=", value, "topic");
            return (Criteria) this;
        }

        public Criteria andTopicLessThan(String value) {
            addCriterion("topic <", value, "topic");
            return (Criteria) this;
        }

        public Criteria andTopicLessThanOrEqualTo(String value) {
            addCriterion("topic <=", value, "topic");
            return (Criteria) this;
        }

        public Criteria andTopicLike(String value) {
            addCriterion("topic like", value, "topic");
            return (Criteria) this;
        }

        public Criteria andTopicNotLike(String value) {
            addCriterion("topic not like", value, "topic");
            return (Criteria) this;
        }

        public Criteria andTopicIn(List<String> values) {
            addCriterion("topic in", values, "topic");
            return (Criteria) this;
        }

        public Criteria andTopicNotIn(List<String> values) {
            addCriterion("topic not in", values, "topic");
            return (Criteria) this;
        }

        public Criteria andTopicBetween(String value1, String value2) {
            addCriterion("topic between", value1, value2, "topic");
            return (Criteria) this;
        }

        public Criteria andTopicNotBetween(String value1, String value2) {
            addCriterion("topic not between", value1, value2, "topic");
            return (Criteria) this;
        }

        public Criteria andGroupIdIsNull() {
            addCriterion("group_id is null");
            return (Criteria) this;
        }

        public Criteria andGroupIdIsNotNull() {
            addCriterion("group_id is not null");
            return (Criteria) this;
        }

        public Criteria andGroupIdEqualTo(String value) {
            addCriterion("group_id =", value, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdNotEqualTo(String value) {
            addCriterion("group_id <>", value, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdGreaterThan(String value) {
            addCriterion("group_id >", value, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdGreaterThanOrEqualTo(String value) {
            addCriterion("group_id >=", value, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdLessThan(String value) {
            addCriterion("group_id <", value, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdLessThanOrEqualTo(String value) {
            addCriterion("group_id <=", value, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdLike(String value) {
            addCriterion("group_id like", value, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdNotLike(String value) {
            addCriterion("group_id not like", value, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdIn(List<String> values) {
            addCriterion("group_id in", values, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdNotIn(List<String> values) {
            addCriterion("group_id not in", values, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdBetween(String value1, String value2) {
            addCriterion("group_id between", value1, value2, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdNotBetween(String value1, String value2) {
            addCriterion("group_id not between", value1, value2, "groupId");
            return (Criteria) this;
        }

        public Criteria andPartitionsIsNull() {
            addCriterion("partitions is null");
            return (Criteria) this;
        }

        public Criteria andPartitionsIsNotNull() {
            addCriterion("partitions is not null");
            return (Criteria) this;
        }

        public Criteria andPartitionsEqualTo(Integer value) {
            addCriterion("partitions =", value, "partitions");
            return (Criteria) this;
        }

        public Criteria andPartitionsNotEqualTo(Integer value) {
            addCriterion("partitions <>", value, "partitions");
            return (Criteria) this;
        }

        public Criteria andPartitionsGreaterThan(Integer value) {
            addCriterion("partitions >", value, "partitions");
            return (Criteria) this;
        }

        public Criteria andPartitionsGreaterThanOrEqualTo(Integer value) {
            addCriterion("partitions >=", value, "partitions");
            return (Criteria) this;
        }

        public Criteria andPartitionsLessThan(Integer value) {
            addCriterion("partitions <", value, "partitions");
            return (Criteria) this;
        }

        public Criteria andPartitionsLessThanOrEqualTo(Integer value) {
            addCriterion("partitions <=", value, "partitions");
            return (Criteria) this;
        }

        public Criteria andPartitionsIn(List<Integer> values) {
            addCriterion("partitions in", values, "partitions");
            return (Criteria) this;
        }

        public Criteria andPartitionsNotIn(List<Integer> values) {
            addCriterion("partitions not in", values, "partitions");
            return (Criteria) this;
        }

        public Criteria andPartitionsBetween(Integer value1, Integer value2) {
            addCriterion("partitions between", value1, value2, "partitions");
            return (Criteria) this;
        }

        public Criteria andPartitionsNotBetween(Integer value1, Integer value2) {
            addCriterion("partitions not between", value1, value2, "partitions");
            return (Criteria) this;
        }

        public Criteria andOffsetFromIsNull() {
            addCriterion("offset_from is null");
            return (Criteria) this;
        }

        public Criteria andOffsetFromIsNotNull() {
            addCriterion("offset_from is not null");
            return (Criteria) this;
        }

        public Criteria andOffsetFromEqualTo(Long value) {
            addCriterion("offset_from =", value, "offsetFrom");
            return (Criteria) this;
        }

        public Criteria andOffsetFromNotEqualTo(Long value) {
            addCriterion("offset_from <>", value, "offsetFrom");
            return (Criteria) this;
        }

        public Criteria andOffsetFromGreaterThan(Long value) {
            addCriterion("offset_from >", value, "offsetFrom");
            return (Criteria) this;
        }

        public Criteria andOffsetFromGreaterThanOrEqualTo(Long value) {
            addCriterion("offset_from >=", value, "offsetFrom");
            return (Criteria) this;
        }

        public Criteria andOffsetFromLessThan(Long value) {
            addCriterion("offset_from <", value, "offsetFrom");
            return (Criteria) this;
        }

        public Criteria andOffsetFromLessThanOrEqualTo(Long value) {
            addCriterion("offset_from <=", value, "offsetFrom");
            return (Criteria) this;
        }

        public Criteria andOffsetFromIn(List<Long> values) {
            addCriterion("offset_from in", values, "offsetFrom");
            return (Criteria) this;
        }

        public Criteria andOffsetFromNotIn(List<Long> values) {
            addCriterion("offset_from not in", values, "offsetFrom");
            return (Criteria) this;
        }

        public Criteria andOffsetFromBetween(Long value1, Long value2) {
            addCriterion("offset_from between", value1, value2, "offsetFrom");
            return (Criteria) this;
        }

        public Criteria andOffsetFromNotBetween(Long value1, Long value2) {
            addCriterion("offset_from not between", value1, value2, "offsetFrom");
            return (Criteria) this;
        }

        public Criteria andOffsetUntilIsNull() {
            addCriterion("offset_until is null");
            return (Criteria) this;
        }

        public Criteria andOffsetUntilIsNotNull() {
            addCriterion("offset_until is not null");
            return (Criteria) this;
        }

        public Criteria andOffsetUntilEqualTo(Long value) {
            addCriterion("offset_until =", value, "offsetUntil");
            return (Criteria) this;
        }

        public Criteria andOffsetUntilNotEqualTo(Long value) {
            addCriterion("offset_until <>", value, "offsetUntil");
            return (Criteria) this;
        }

        public Criteria andOffsetUntilGreaterThan(Long value) {
            addCriterion("offset_until >", value, "offsetUntil");
            return (Criteria) this;
        }

        public Criteria andOffsetUntilGreaterThanOrEqualTo(Long value) {
            addCriterion("offset_until >=", value, "offsetUntil");
            return (Criteria) this;
        }

        public Criteria andOffsetUntilLessThan(Long value) {
            addCriterion("offset_until <", value, "offsetUntil");
            return (Criteria) this;
        }

        public Criteria andOffsetUntilLessThanOrEqualTo(Long value) {
            addCriterion("offset_until <=", value, "offsetUntil");
            return (Criteria) this;
        }

        public Criteria andOffsetUntilIn(List<Long> values) {
            addCriterion("offset_until in", values, "offsetUntil");
            return (Criteria) this;
        }

        public Criteria andOffsetUntilNotIn(List<Long> values) {
            addCriterion("offset_until not in", values, "offsetUntil");
            return (Criteria) this;
        }

        public Criteria andOffsetUntilBetween(Long value1, Long value2) {
            addCriterion("offset_until between", value1, value2, "offsetUntil");
            return (Criteria) this;
        }

        public Criteria andOffsetUntilNotBetween(Long value1, Long value2) {
            addCriterion("offset_until not between", value1, value2, "offsetUntil");
            return (Criteria) this;
        }
    }

    /**
     *
     * table ims_kafka_consumer_record_offset
     *
     * do_not_delete_during_merge Wed May 13 22:01:24 CST 2020
     */
    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    /**
     *
     * table ims_kafka_consumer_record_offset
     *
     * Wed May 13 22:01:24 CST 2020
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}